complexType "Trigger"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-option-shared-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | (level | levelPercentage)?, triggerType?, triggerTimeType?
</...>

Content Model Elements (4):

  level, levelPercentage, triggerTimeType, triggerType

Annotation
Trigger point at which feature is effective.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="Trigger"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="level" type="xsd:decimal"/> <xsd:element name="levelPercentage" type="xsd:decimal"/> <!--View Generation: Skipped an empty choice.--> </xsd:choice> <xsd:element minOccurs="0" name="triggerType" type="TriggerTypeEnum"/> <xsd:element minOccurs="0" name="triggerTimeType" type="TriggerTimeTypeEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
level

  Type: | xsd:decimal, predefined, simple content

  The trigger level.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="level" type="xsd:decimal"/>

levelPercentage

  Type: | xsd:decimal, predefined, simple content

  The trigger level percentage.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="levelPercentage" type="xsd:decimal"/>

triggerTimeType

  Type: | TriggerTimeTypeEnum, simple content

  The valuation time type of knock condition.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Closing" | - | The close of trading on a day would be considered for valuation. See: http://www.FpML.org
  "Anytime" | - | At any time during the Knock Determination period (continuous barrier). See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="triggerTimeType" type="TriggerTimeTypeEnum"/>

triggerType

  Type: | TriggerTypeEnum, simple content

  The Triggering condition.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "EqualOrLess" | - | The underlyer price must be equal to or less than the Trigger level. See: http://www.FpML.org
  "EqualOrGreater" | - | The underlyer price must be equal to or greater than the Trigger level. See: http://www.FpML.org
  "Equal" | - | The underlyer price must be equal to the Trigger level. See: http://www.FpML.org
  "Less" | - | The underlyer price must be less than the Trigger level. See: http://www.FpML.org
  "Greater" | - | The underlyer price must be greater than the Trigger level. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="triggerType" type="TriggerTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.